Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit
Class PlotApplet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      jcckit.PlotApplet

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.lang.Runnable, java.io.Serializable

public class PlotApplet
extends java.applet.Applet
implements java.lang.Runnable

Applet showing a static plot in a `GraphicsPlotCanvas`. The plot (data as well as layout) is defined by applet parameters. Depending on the applet parameters the data may be loaded from a separated file. This allows to separate model (data) from view (plot). Before the plot is shown a waiting message is presented.

The applet parameters are organized in a hierarchical way with inheritance as explained in `FlatConfigData`. The `PlotApplet` uses the same configiuration parameters as the constructor of `GraphicsPlotCanvas`. In addition the following parameters are considered:

Key & Default Value | Type | Mandatory | Description
--- | --- | --- | ---
`waitingMessage =` Please wait, applet data are loading... | `String` | no | Message present after the applet has be started.
`dataProperties` | `String` | if `data` is absent | File name relative to the applet's document base. It should denote a `.properties` file with the configuration parameters for the constructor of `DataPlot`.
`data` | `ConfigParameters` | if `dataProperties` is absent | Configuration parameters for the constructor of `DataPlot`.
`renderer = jcckit.renderer.GraphicsRenderer` | `String` | no | Fully qualified class name of the render which has to be the default renderer or a subclass of the default renderer.

Author:
  Franz-Josef Elmer
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.applet.Applet
`java.applet.Applet.AccessibleApplet`

Nested classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `DATA_KEY`
`static java.lang.String` | `DATA_PROPERTIES_KEY`
`static java.lang.String` | `DEFAULT_WAITING_MESSAGE`
`static java.lang.String` | `RENDERER_KEY`
`static java.lang.String` | `WAITING_MESSAGE_KEY`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PlotApplet()`

Method Summary
`void` | `init()` Initializes the applet by presenting the waiting message.
`void` | `run()` Creates the plot and replaces the waiting message or shows the exception if creation failed.
`void` | `start()` Starts plot creation in an extra thread.

Methods inherited from class java.applet.Applet
`destroy, getAccessibleContext, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus, stop`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_WAITING_MESSAGE

    public static final java.lang.String DEFAULT_WAITING_MESSAGE

See Also:
  Constant Field Values

### WAITING_MESSAGE_KEY

    public static final java.lang.String WAITING_MESSAGE_KEY

See Also:
  Constant Field Values

### DATA_PROPERTIES_KEY

    public static final java.lang.String DATA_PROPERTIES_KEY

See Also:
  Constant Field Values

### DATA_KEY

    public static final java.lang.String DATA_KEY

See Also:
  Constant Field Values

### RENDERER_KEY

    public static final java.lang.String RENDERER_KEY

See Also:
  Constant Field Values

Constructor Detail

### PlotApplet

    public PlotApplet()

Method Detail

### init

    public void init()

  Initializes the applet by presenting the waiting message.

### start

    public void start()

  Starts plot creation in an extra thread.

### run

    public void run()

  Creates the plot and replaces the waiting message or shows the exception if creation failed.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD